> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Invitation

> Creates a driver invitation.



## OpenAPI

````yaml post /{vin}/invitations
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/invitations:
    parameters:
      - $ref: '#/components/parameters/vin'
    post:
      tags:
        - Driver Management
      summary: Create an Invitation
      description: Creates a driver invitation.
      operationId: create-invitation
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    result:
                      id: 2252267587512112
                      owner_id: 1234567
                      share_user_id: null
                      product_id: 7SAXCBE6XPF123456
                      state: pending
                      code: asdfGwpumXGXSLHCpWN2DVedKIs7fBpdiqO76Qvyuio
                      expires_at: '2023-11-29T00:59:06.000Z'
                      revoked_at: null
                      borrowing_device_id: null
                      key_id: null
                      product_type: vehicle
                      share_type: customer
                      active_pubkeys:
                        - null
                      id_s: '2252267587512112'
                      owner_id_s: '1234567'
                      share_user_id_s: ''
                      borrowing_key_hash: null
                      vin: 7SAXCBE6XPF123456
                      share_link: >-
                        https://www.tesla.com/_rs/1/asdfGwpumXGXSLHCpWN2DVedKIs7fBpdiqO76Qvyuio
                properties:
                  result:
                    type: object
                    properties:
                      id:
                        type: integer
                      owner_id:
                        type: integer
                      share_user_id:
                        type: integer
                        nullable: true
                      product_id:
                        type: string
                      state:
                        type: string
                      code:
                        type: string
                      expires_at:
                        type: string
                      revoked_at:
                        type: string
                        nullable: true
                      borrowing_device_id:
                        type: integer
                        nullable: true
                      key_id:
                        type: integer
                        nullable: true
                      product_type:
                        type: string
                      share_type:
                        type: string
                      active_pubkeys:
                        type: array
                        items:
                          type: string
                          nullable: true
                      id_s:
                        type: string
                      owner_id_s:
                        type: string
                      share_user_id_s:
                        type: string
                      borrowing_key_hash:
                        type: string
                        nullable: true
                      vin:
                        type: string
                      share_link:
                        type: string
              examples:
                Example 1:
                  value:
                    result:
                      id: 2252275396890299
                      owner_id: 1311857
                      share_user_id: null
                      product_id: 7SAXCBE6XPF123456
                      state: pending
                      code: dgIPJtGS_CnIprYz0yy1dDvduRl0mQBYEwA-u_Fsc_5w
                      expires_at: '2023-11-29T01:53:09.000Z'
                      revoked_at: null
                      borrowing_device_id: null
                      key_id: null
                      product_type: vehicle
                      share_type: customer
                      active_pubkeys:
                        - null
                      id_s: '2252275396890299'
                      owner_id_s: '1311857'
                      share_user_id_s: ''
                      borrowing_key_hash: null
                      vin: 7SAXCBE6XPF123456
                      share_link: >-
                        https://www.tesla.com/_rs/1/dgIPJtGS_CnIprYz0yy1dDvduRl0mQBYEwA-u_Fsc_5w
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````